'use strict';

var config = require('../../config.json');

function findFirstNode(node, index) {
    return index === 0;
}

/**
 * @param {NodePath} path
 * @param {PluginPass} state
 * @returns {Boolean}
 */
module.exports = function (path, state) {
    var useDirective = state.opts.useDirective;

    if (useDirective === false) {
        return false;
    }

    if (!useDirective) {
        useDirective = config.default.useDirective;
    }

    var firstNode = path.node.body.find(findFirstNode);

    if (!firstNode) {
        return false;
    }

    var topComments = firstNode.leadingComments;

    if (!topComments) {
        return false;
    }

    return topComments.some(function (comment) {
        return comment.value.includes('@' + useDirective) && !comment.value.includes('@param') && !comment.value.includes('@return');
    });
};