'use strict';

var DEFAULT_TYPES = ['Object', 'Number', 'String', 'Boolean', 'Array', 'Function'];

/**
 * @param {NodePath} path
 * @param {String|Object|Array} type
 * @param {Object} t
 * @returns {Node}
 */
module.exports = function (path, type, t) {
    var validator = void 0;

    if (typeof type === 'string' && !DEFAULT_TYPES.includes(type) && path.scope.hasBinding(type)) {
        validator = t.identifier(type);
    } else {
        validator = t.stringLiteral(JSON.stringify(type));
    }

    return validator;
};